MPlayer Remote HTTP Header Buffer Overflow Vulnerability

Solution:
The vendor has released upgrades dealing with this issue.

Gentoo has released advisory GLSA 200403-13. To obtain updates, enter the following commands depending on system architecture:
x86 and sparc:

# emerge sync

# emerge -pv ">=media-video/mplayer-0.92-r1"
# emerge ">=media-video/mplayer-0.92-r1"

amd64:

# emerge sync

# emerge -pv ">=media-video/mplayer-1.0_pre2-r1"
# emerge ">=media-video/mplayer-1.0_pre2-r1"

ppc:

# emerge sync

# emerge -pv ">=media-video/mplayer-1.0_pre3-r2"
# emerge ">=media-video/mplayer-1.0_pre3-r2"

Mandrake has released security advisory MDKSA-2004:026 to address this issue. Please see the attached advisory for details on obtaining and applying fixes.


MPlayer MPlayer 0.90 pre series

MPlayer MPlayer 0.90 rc series

MPlayer MPlayer 0.90

MPlayer MPlayer 0.91

MPlayer MPlayer 1.0 pre1


 

Privacy Statement
Copyright 2010, SecurityFocus